@import "../css/mixins";

.services__items {
  margin-top: 2.8125rem;
}

.services__item {
  width: 16.25rem;
  margin-top: 1.875rem;

  @include adaptive(tablet) {
    flex-basis: 50%;
  }

  @include adaptive(smartphone) {
    flex-basis: 100%;
  }
}

.services__item-icon-wrapper {
  width: 9.375rem;
  height: 9.375rem;
  background: $whiteColor;
  border-radius: 50%;
  box-shadow: $boxShadow;
  transition: 0.3s;
  &:hover {
    transform: scale(1.1);
  }
}

.services__item-icon {
  width: 50%;
}

.services__item-subtitle {
  margin-top: 3.75rem;
  font-size: 1.25rem;
}

.dredgers__title {
  padding-top: 0;
}

.dredgers__cars-title {
  padding-top: 0;
}

.dredgers__cards {
  margin-top: 2.8125rem;
}

.dredgers__card {
  width: 21.875rem;
  margin: 1.875rem 1.25rem 0;
  box-shadow: $boxShadow;
  border-radius: $borderRadius;
  overflow: hidden;
}

.dredgers__card-image-wrapper {
  width: 100%;
  height: 14.375rem;
  background: $whiteColor;
}

.dredgers__card-image {
  width: 80%;
}

.dredgers__card-body {
  width: 100%;
  padding: 1.5625rem 1.25rem;
  background: $lighterBlue;
}

.dredgers__card-control.flex-between {
  @include adaptive(mobile) {
    justify-content: center;

    .dredgers__card-button.btn-default {
      margin-top: 10px;
      max-width: 100%;
    }
  }
}

.dredgers__card-subtitle,
.dredgers__card-text,
.dredgers__card-cost {
  color: $textColorWhite;
}

.dredgers__card-subtitle {
  font-size: 1.75rem;
}

.dredgers__card-button-link {
  min-width: 10rem;
}

.dredgers__card-text {
  margin: 1.5625rem 0 4.375rem;
  font-size: 1.125rem;
}

.dredgers__card-cost {
  font-size: 1rem;
}

.selling-points__item {
  max-width: 60rem;
  width: 100%;
  height: 9.375rem;
  margin-top: 5rem;
  overflow: hidden;
  border-radius: 4.6875rem;
  box-shadow: $boxShadow;

  &:nth-child(odd) {
    flex-direction: row-reverse;

    .selling-points__icon-wrapper {
      margin: 0 0 0 -1.25rem;
    }
    .selling-points__info {
      margin: 0 -1.25rem 0 0;
    }
  }
}

.selling-points__info {
  width: 58%;
  margin: 0 0 0 -1.25rem;
  height: 100%;
  background: #e5edf2;
  transform: skewX(335deg);
  padding: 0 3.125rem;
}

.selling-points__text {
  font-size: 1.6875rem;
  transform: skewX(-335deg);

  @include adaptive(smartphone) {
    font-size: 1.0625rem;
  }
}

.selling-points__icon-wrapper {
  width: 46%;
  height: 100%;
  background: #95bed3;
  transform: skewX(335deg);
  margin: 0 -1.25rem 0 0;
}

.selling-points__icon {
  transform: skewX(-335deg);
  width: 20%;

  @include adaptive(mobile) {
    width: 40%;
  }
}

.questions__flex-container {
  position: relative;
  width: 100%;
  margin-top: 40px;
}
.map {
  padding-bottom: 100px;
}
.map__container {
}

[class*="ymaps-2"][class*="-ground-pane"] {
  filter: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'><filter id='grayscale'><feColorMatrix type='matrix' values='0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0'/></filter></svg>#grayscale");
  -webkit-filter: grayscale(100%);
}

.questions__form-container {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 475px;
  min-height: 720px;
}
.question__result {
  display: none;
  font-weight: 500;
}

.questions__form,
.questions__info {
  max-width: 475px;
  width: 100%;
  margin-top: 30px;
}

.questions__info {
  max-width: 375px;
}

.questions__info-text {
  margin-top: 45px;
  font-size: 22px;
}

.question__input-text {
  resize: none;
}

.question__input-button {
  margin-top: 35px;
  outline: none;
  opacity: 0.2;
  pointer-events: none;
  &.active {
    opacity: 1;
    pointer-events: auto;
  }
}

.questions__info-block:last-child {
  margin-top: 100px;
}

// PRELOADER

.lds-ring {
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  width: 80px;
  height: 80px;
}
.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #fff;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #fff transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
